Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How to install Resynthesizer Plugin on Mac
#1
Good day all.

Has anyone successfully installed Resynthesizer Plugin on Mac OS?  I followed exactly the instruction found in this link https://daviesmediadesign.com/how-to-dow...r-for-mac/ to install this plugin and get "An error occurred running python_fu_heal_selection" error.

I am using Mac Big Sur version 11.5.1.  Appreciate if anyone here can help to fix this error.

Thank you


Attached Files Thumbnail(s)
   
Reply
#2
I'm not an OSX user. However: Resynthesizer is 3 files, a resynthesize "binary" (resynthesize.app on OSX?), and two python scripts (.py extension). The Python scripts are the code which is called from Filters ➤ (ie, the dialog on the left), and they in turn call the actual plugin in the binary. The message indicates that the binary isn't there, so did you install it with the rest, and if you are on OSX, did you mark it as executable?
Reply
#3
The same as Ofnuts, I am not a MacOS user but I do have an old Virtual Machine that I pull out to see how things work in the 'other world'. (not impressed)

Looking at your screen shots, the python plugin is working, so you probably have everything in the correct place and have executable permissions. Since resynthesizer / resynthesizer-gui are binary files it could be that they are just not compatible with your version of MacOS. Gimp is usually pretty forgiving when it comes to plugins. I put resynthesizer in some time ago, not sure where I got it Smile Note the lib folder that came with the plugin.

For what it is worth, this is what it looks like in the VM. https://i.imgur.com/alJVflE.jpg

Make a post on gimpchat.com There are one or two Mac users there who can give advice.
Reply
#4
I use Mac os high sierra
I have installed and used resynthesizer in Gimp 2.10.20 without any problem. 
However in 2.10.22 and 2.10.24 I got the error message:
"gimp-procedural-db-proc-proc-info" procedure call error:
Procedure "plug-in-resynthesizer" not found.
I always applied the same method for installation.
Can you help me?
Thanks in advance
Reply
#5
A bit of a crazy situation where the Gimp developers are packaging for MacOS without,as far as I see, any real testing.

see: https://twitter.com/zemarmot/status/1420145039213203463

You could raise the problem here: https://gitlab.gnome.org/GNOME/gimp/-/issues
Reply
#6
(08-05-2021, 06:42 PM)rich2005 Wrote: A bit of a crazy situation where the Gimp developers are packaging for MacOS without,as far as I see, any real testing.

see: https://twitter.com/zemarmot/status/1420145039213203463

You could raise the problem here: https://gitlab.gnome.org/GNOME/gimp/-/issues

Thanks for your help.I'll try where you suggest.
I add screenshot of the error message


Attached Files Thumbnail(s)
   
Reply


Forum Jump: